Bug 1128981 - Add apache neethi into community BOM
Summary: Add apache neethi into community BOM
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER2
: 6.1.0
Assignee: Michael
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks: 1128609
TreeView+ depends on / blocked
 
Reported: 2014-08-12 02:50 UTC by Ryan Zhang
Modified: 2019-01-01 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Ryan Zhang 2014-08-12 02:50:33 UTC
Description of problem:
There is a common artifact org.apache.neethi:neethi in kie-parent-with-dependencies which is also EAP supported artifacts.
<version.org.apache.neethi>3.0.2</version.org.apache.neethi>

This should be added into communinty BOM.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Geoffrey De Smet 2014-08-27 13:54:23 UTC
mbiarnes has a PR open for this on ip-bom. Once it's merged, this BZ can be put on status "modified".

Comment 2 Kris Verlaenen 2014-09-10 15:21:26 UTC
This PR was merged into CR12 and master, but is not yet available on CR11 of the community BOM (using in Beta2 tag).

Comment 4 Michael 2014-09-23 07:29:56 UTC
In the JBoss-ip-bom (6.0.0-SNAPSHOT and 6.0.0.CR13) there is:
 
<dependency>
  <groupId>org.apache.neethi</groupId>
  <artifactId>neethi</artifactId>
  <version>${version.org.apache.neethi}</version>
</dependency>

with <version.org.apache.neethi>3.0.2</version.org.apache.neethi>

Comment 5 Petr Široký 2014-12-09 10:41:03 UTC
Verified in 6.1.0.ER2. Neethi has been moved to ip-bom.


Note You need to log in before you can comment on or make changes to this bug.